#!/bin/sh
### BEGIN INIT INFO
# Provides:          driverSensor
# Required-Start:    mountdevsubfs $network $remote_fs
# Required-Stop:     mountdevsubfs $network $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Starts the Robotiq sensor driver 
# Description:       The driver needs the ftdi_sio driver to open
#                    the device ttyUSBx
### END INIT INFO

# Author: Pierre-Olivier Proulx <poproulx@robotiq.com>

NAME=driverSensor
DRIVER_DAEMON_DIR=/root/Driver_Sensor
DAEMON=$DRIVER_DAEMON_DIR/$NAME
PIDFILE=/var/run/$NAME.pid

case "$1" in
  start)
	start-stop-daemon --start --pidfile $PIDFILE -m -d $DRIVER_DAEMON_DIR --exec $DAEMON -N 18 -b
	;;
  restart|reload|force-reload)
	echo "Error: argument '$1' not supported" >&2
	exit 3
	;;
  stop)
	start-stop-daemon --stop --pidfile $PIDFILE
	;;
  *)
	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
	exit 3
	;;
esac

