#!/bin/sh
# 
# file   urmagic_uninstall.sh
# author Nicolas Lauzier <nicolas@robotiq.com">
#  
# Script to uninstall the driver
# 

LOGGER="/usr/bin/logger"
TAG="-t '$(basename $0)'"

if [ "$1" = "" ] ; then
    $LOGGER -p user.info $TAG "$0: no mountpoint supplied, exiting."
    exit 1 ; fi

# Warn user not to remove USB key
echo "! USB !" | DISPLAY=:0 aosd_cat -R red -x 230 -y -210 -n "Arial Black 80"
echo "Uninstalling Robotiq Force Torque Sensor Program" | DISPLAY=:0 aosd_cat -R blue -x 230 -y -310 -n "Arial Black 30"

MOUNTPOINT="$1"
DEST=("/programs")

# Stopping and removing the init.d scripts
/etc/init.d/boot_driver_sensor.sh stop
rm -f /etc/init.d/boot_driver_sensor.sh
update-rc.d boot_driver_sensor.sh remove
rm -rf ~/Driver_Sensor

# Notify user it is ok to remove USB key
echo "<- USB" | DISPLAY=:0 aosd_cat -x 200 -y -210 -n "Arial Black 80"

exit 0;
